@import url("https://fonts.googleapis.com/css2?family=Pixelify+Sans:wght@400..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  color: var(--white);
}
html {
  /* 1rem = 10px */
  font-size: 62.5%;
  scroll-behavior: smooth;
}
body,
html {
  width: 100%;
  height: 100%;
}
body {
  background: #000000;
  width: 100%;
  overflow-x: hidden;
}
header,
section {
  font-size: 1.6rem;
}
:root {
  --font-pix: "Pixelify Sans", sans-serif;
  --font-pop: "Poppins", sans-serif;
  --white: #ffffff;
  --black: #000000;
  --nav-height: 120px;
}
.page {
  width: 100%;
  overflow: hidden;
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 5%;
  padding-right: 5%;
  min-height: var(--nav-height);
  gap: 10px;
}

.logo {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}
.logo-img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 3rem;
  height: auto;
}
.logo-img img {
  width: 100%;
  height: 100%;
}
.logo span {
  font-family: var(--font-pix);
  font-size: 5.5rem;
  font-weight: 700;
  color: #ccff00;
}

.page-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  min-height: calc(100vh - var(--nav-height));
}

/* ========bottom-side======== */
.top-side {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  text-align: left;
  position: relative;
  padding-top: 10rem;
  padding-bottom: 20rem;
  padding-right: 4%;
  padding-left: 4%;
  flex: 1;
}
.top-side::before {
  content: "";
  position: absolute;
  inset: 0;

  background-image: url("assets/bg.png");
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;

  z-index: -1;
}
/* =========heading section======== */
.text-div {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

.heading {
  font-size: 14rem;
  font-family: var(--font-pix);
  font-weight: 700;
  color: #c5f207;
}

.para {
  font-weight: 400;
  font-family: var(--font-pop);
}
.para1 {
  font-size: 4rem;
}
.para2 {
  font-size: 2.2rem;
  max-width: 60rem;
  margin-bottom: 2rem;
}
/* ========btns section======== */
.btns-warpper {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
.btns-container {
  display: flex;
  align-items: stretch;
  justify-content: center;
  position: relative;
  gap: 10px;
}
.btns-container2 {
  display: flex;
  gap: 20px;
  align-items: stretch;
}
.btns-container3 {
  margin-bottom: 2rem;
}
.telegram img,
.twitter img {
  width: 3.5rem;
  height: auto;
}
.button,
.buy-btn {
  background-color: #c5f207;
  padding: 1rem 1rem;
  border-radius: 12px;
}
button span {
  color: var(--black);
  white-space: nowrap;
  border: none;
  outline: none;
  font-family: var(--font-pop);
  font-weight: 400;

  font-size: 2.2rem;
}

.link-btn {
  padding: 5px;
  width: auto;
  height: auto;
  transition: all 0.3s;
}
.link-btn span {
  font-family: var(--font-pop);
  font-weight: 400;
  font-size: 2.2rem;
}
.copy-btn:hover,
.btn:hover,
.link-btn:hover {
  border-radius: 10px;
}

button {
  border: none;
  outline: none;
  transition: all 0.3s;
}
.arrow {
  width: 2rem;
  height: auto;
  margin-left: 15px;
}
.telegram:hover > span,
.twitter:hover > span {
  color: #c5f207;
}

.copy-btn:hover,
button:hover {
  box-shadow: 0px 0px 20px #c5f207;
}
/* ========copy btn section======== */

.join-container,
.copy-btn-box {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  position: relative;
  z-index: 10;
  padding: 1rem;
  border-radius: 12px;
  border: 1px solid #c5f207;
}

.copy-btn {
  transition: all 0.3s;
  padding: 1rem 3rem;
}
.copy-text {
  width: 320px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.copy-text p {
  font-family: var(--font-pop);
  font-weight: 400;
  font-size: 1.8rem;
  overflow: hidden;
}
.button,
.copy-btn {
  font-family: var(--font-pop);
  font-weight: 400;
  font-size: 1.9rem;
  color: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  cursor: pointer;
}
.join-container {
  padding: 1rem;
  gap: 10rem;
  display: flex;
}
.join-container span {
  font-family: var(--font-pop);
  font-weight: 400;
  font-size: 2.2rem;
}
#buy-btn2 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 25rem;
  padding: 2rem 3rem;
}
#buy-btn2 img {
  width: 2.2rem;
  height: auto;
}
.img-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s ease;
}

.img-btn:hover {
  transform: scale(1.05);
}

.img-btn img {
  transition: transform 0.3s ease;
}
/* responsivness */
@media (max-width: 991px) {
  html {
    font-size: 55%;
  }
}
@media (max-width: 400px) {
  html {
    font-size: 50%;
  }
}
@media (max-width: 1250px) {
  .heading {
    font-size: 10rem;
  }
  .logo span {
    font-size: 4rem;
  }
}
@media (max-width: 750px) {
  .top-side {
    align-items: center;
    justify-content: center;
  }
  .text-div {
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  .btns-container3 {
    margin-top: 2rem;
    display: flex;
    gap: 2rem;
    align-items: center;
    flex-direction: column;
  }
  .copy-btn-box {
    flex-direction: column;
    align-items: center;
  }
  .copy-text {
    text-align: center;
  }
  .top-side::before {
    background-position: left top;
  }
  .btns-container1 .twitter,
  .btns-container1 .telegram {
    display: none;
  }
}
@media (max-width: 500px) {
  .heading {
    font-size: 8rem;
  }
  .logo span {
    font-size: 3rem;
  }

  .button span,
  .join-container span,
  .para2 {
    font-size: 2rem;
  }
  .para1 {
    font-size: 3rem;
  }
  #buy-btn2 {
    width: 18rem;
    padding: 1.5rem 3rem;
  }
  .copy-text {
    width: 220px;
  }

  .copy-text p {
    font-size: 1.5rem;
  }
  .telegram img,
  .twitter img {
    width: 3rem;
  }
}
@media (max-width: 400px) {
  .top-side {
    padding-top: 5rem;
  }
}
@media (max-width: 350px) {
  .logo span {
    font-size: 2.8rem;
  }
  .join-container {
    flex-direction: column;
    gap: 2rem;
  }
  .heading {
    font-size: 7rem;
  }
  .button span,
  .join-container span,
  .para2 {
    font-size: 1.8rem;
  }
  .para1 {
    font-size: 2.5rem;
  }
  .arrow {
    margin-left: 6px;
  }
}
